View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012899CDash(No Category)public2012-01-19 18:172012-01-20 04:10
ReporterSean McBride 
Assigned ToJulien Jomier 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0 
Summary0012899: cdash 1.8.2 emails do not include header that indicates text encoding of content
DescriptionOur cdash 1.8.2 installation sends email when there's a failing build. So does VTK's. Neither's emails include headers that indicate the text encoding.

From VTK:

------------------ RFC822 Header Follows ------------------
Return-Path: <www-data@www.cdash.org>
Delivered-To: sean@chat.rogue-research.com
Received: from localhost (localhost [127.0.0.1])
    by chat.rogue-research.com (Postfix) with ESMTP id EE89719C3B15
    for <sean@chat.rogue-research.com>; Wed, 18 Jan 2012 20:12:00 -0500 (EST)
X-Virus-Scanned: amavisd-new at rogue-research.com
Received: from chat.rogue-research.com ([127.0.0.1])
    by localhost (kingu.rogue-research.com [127.0.0.1]) (amavisd-new, port 10024)
    with ESMTP id 70jIepN44yHP for <sean@chat.rogue-research.com>;
    Wed, 18 Jan 2012 20:12:00 -0500 (EST)
Received: from www.cdash.org (66-194-253-26.static.twtelecom.net [66.194.253.26])
    by chat.rogue-research.com (Postfix) with ESMTPS id 96A9419C3B0A
    for <sean@rogue-research.com>; Wed, 18 Jan 2012 20:12:00 -0500 (EST)
Received: from cdash.kitwarein.com (localhost [127.0.0.1])
    by www.cdash.org (8.13.8/8.13.8/Debian-3) with ESMTP id q0J1BxMn021166
    for <sean@rogue-research.com>; Wed, 18 Jan 2012 20:11:59 -0500
Received: (from www-data@localhost)
    by cdash.kitwarein.com (8.13.8/8.13.8/Submit) id q0J1Bwai021165;
    Wed, 18 Jan 2012 20:11:58 -0500
Date: Wed, 18 Jan 2012 20:11:58 -0500
Message-Id: <201201190111.q0J1Bwai021165@cdash.kitwarein.com>
To: sean@rogue-research.com
Subject: CDash [VTK] - Missing Build for RogueResearch3
From: CDash <admin@www.cdash.org>
Reply-To: noreply@www.cdash.org
X-Mailer: PHP/5.2.0-8+etch16
MIME-Version: 1.0
-----------------------------------------------------------

from our own:

------------------ RFC822 Header Follows ------------------
Return-Path: <_www@chat.rogue-research.com>
Delivered-To: sean@chat.rogue-research.com
Received: by chat.rogue-research.com (Postfix, from userid 70)
    id 6B21919CDA0D; Thu, 19 Jan 2012 17:56:07 -0500 (EST)
To: sean@rogue-research.com
Subject: FAILED (w=6): RogueProjects - microntracker-linux-release - Experimental
X-PHP-Originating-Script: 70:sendemail.php
From: CDash <cdash@rogue-research.com>
Reply-To: cdash@rogue-research.com
X-Mailer: PHP/5.3.6
MIME-Version: 1.0
Message-Id: <20120119225607.6B21919CDA0D@chat.rogue-research.com>
Date: Thu, 19 Jan 2012 17:56:07 -0500 (EST)
-----------------------------------------------------------

There should be something like:

Content-Type: text/plain; charset=us-ascii

In fact, cdash seems to send as UTF8, but my mail client guesses incorrectly and non-ASCII characters look wrong.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0028372)
Julien Jomier (manager)
2012-01-20 04:10

Added the header:

  Content-type: text/plain; charset=utf-8\n

Thanks for the report.

- Issue History
Date Modified Username Field Change
2012-01-19 18:17 Sean McBride New Issue
2012-01-20 03:57 Julien Jomier Assigned To => Julien Jomier
2012-01-20 03:57 Julien Jomier Status new => assigned
2012-01-20 04:10 Julien Jomier Note Added: 0028372
2012-01-20 04:10 Julien Jomier Status assigned => resolved
2012-01-20 04:10 Julien Jomier Fixed in Version => 2.0
2012-01-20 04:10 Julien Jomier Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker